net.sf.jasperreports.engine.xml

## Class JRFontFactory.TextElementFontFactory

- java.lang.Object
- - net.sf.jasperreports.engine.xml.JRBaseFactory
  - - net.sf.jasperreports.engine.xml.JRFontFactory
    - - net.sf.jasperreports.engine.xml.JRFontFactory.TextElementFontFactory

- All Implemented Interfaces:
    org.apache.commons.digester.ObjectCreationFactory
  Enclosing class:
    JRFontFactory

      public static class JRFontFactory.TextElementFontFactory
      extends JRFontFactory

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.xml.JRFontFactory

      `JRFontFactory.ChartFontFactory, JRFontFactory.TextElementFontFactory`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `digester`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFontFactory.TextElementFontFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRFont` | `getFont()`
    `void` | `setStyle(JRFont font, org.xml.sax.Attributes atts)`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.JRFontFactory

      `createObject`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `getDigester, setDigester`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRFontFactory.TextElementFontFactory

          public JRFontFactory.TextElementFontFactory()

  - ### Method Detail

    - #### getFont

          public JRFont getFont()

      Specified by:
        `getFont` in class `JRFontFactory`

    - #### setStyle

          public void setStyle(JRFont font,
                      org.xml.sax.Attributes atts)

      Specified by:
        `setStyle` in class `JRFontFactory`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com